var env         = process.env.NODE_ENV || "dev";
var config      = require("./components/config/server." + env + ".js");

var app = require('./childWeb');

var models = app.get('models');

var winston = app.get('winston');
var logger = winston.loggers.get("main");

require('./innerQueues')(winston, models, config);

process.on('uncaughtException', function (err) {
    var msg = (new Date).toUTCString() + ' uncaughtException:';
    logger.error(msg, err.message);
    logger.error(err.stack);
    process.exit(1);
});

module.exports = app;