var AsnHelper = require("../helpers/LoaderHelper");

module.exports = function(helper, winston, models, cb) {

    var received = 0;
    var logger = (winston) ? winston.loggers.get('main') : console;
    if (!logger.debug) logger.debug = console.log;

    helper.pollASN(function (err, msg) {
        if (err) {
            logger.error(err);
        } else {
            received++;
            logger.debug(process.pid + ":ASN POST Received:", JSON.stringify(msg.body), "MessageId:", msg.raw.MessageId);
            var asnHelper = new AsnHelper(models, winston);

            asnHelper.saveAsn(msg.body).then(function (asn) {
                msg.del();
                if (cb) cb(null, asn);
            }).catch(function (err) {
                msg.keep();
                msg.release();
                if (cb) cb(err, null);
                else console.error(err);
            });
        }
    });
};