/**
 * Created by John on 7/3/2017.
 */
var path = require('path');
var config = require(path.join(__dirname,  '..', '/components/config/server.test.js'));
var expect = require('chai').expect;
var TestHelper = require("./TestHelper");
var SqsHelper = require('../components/helpers/SqsHelper');
var helper = new SqsHelper(null, config);

function publishBasicMessage( cb ) {
    var testHelper = new TestHelper();

    helper.publishGeneric("asn", testHelper.createBasicMessage(null, 0), cb);
}

describe("Fresenius SQS Queue Setup", function() {

    it('should write and read a message from the queue', function (done) {
        //must setup queue subscriber before publisher
        var models = require('../components/models');

        var cleanup = function(done) {
            helper.cleanUp();
            done();
        };

        require("../components/services/SQSSubscriberTest")(null, models, config, function(err, msg){
            expect(err).to.be.null;
            expect(msg).to.not.be.null;
            expect(msg.id).to.not.be.null;
            console.log(JSON.stringify(msg));
            setTimeout(cleanup, 500, done);
            //cleanup(done);
        });
        setTimeout(//now publish test message
            publishBasicMessage, 3000, function(err, data){
                expect(err).to.be.null;
                expect(data).to.not.be.null;
            }
        );

    }).timeout(15000);


});